    .import generatefont
    .export fontbase

fontbase=$2000

    .segment "STARTUP"
    .word basicstub    ; load address
basicstub:
    .byte $0b,$08,$0a,$00,$9e,$32,$30,$38,$30,0,0,0 ; sys 2080
    .res 3
multicol:
    .byte $ff
bgcol:
    .byte $00
sprcol:
    .byte $0a
sprmcol1:
    .byte $02
sprmcol2:
    .byte $07
    .res 11

    sei
    lda multicol
    sta $d01c
    lda bgcol
    sta $d020
    sta $d021
    lda sprmcol1
    sta $d025
    lda sprmcol2
    sta $d026
    lda sprcol
    ldx #$07
:
    sta $d027,x
    dex
    bpl :-
    ldx #$00
    lda #$20
:
    sta $0400,x
    sta $0500,x
    sta $0600,x
    sta $0700,x
    inx
    bne :-
    lda #$ff
    sta $d015
    lda #$80
    sta $d010
    ldx #$07
    ldy #$00
    lda #$18+44
:
    sta $d000,y
    clc
    adc #29
    iny
    iny
    dex
    bpl :-
    jsr generatefont
    lda #$35
    sta $01
mainloop:
    lda #$2f
    sta ycoord
    lda #$80
    sta spridx
yloop:
    lda ycoord
:
    cmp $d012
    bne :-
    clc
    adc #4
    ldx #$07
    ldy #$00
:
    sta $d001,y
    iny
    iny
    dex
    bpl :-
    ldx #$00
    ldy spridx
:
    tya
    sta $07f8,x
    iny
    inx
    cpx #8
    bne :-
    clc
    lda spridx
    adc #8
    sta spridx
    lda ycoord
    adc #25
    sta ycoord
    cmp #$2f+8*25
    bne yloop
    jmp mainloop

ycoord:
    .byte 0
spridx:
    .byte 0

