    .export generatefont
    .import fontbase
    .include "plotofse.gen"   ; need to forward declare the plot offset or assembler assumes non-zp

    .segment "ZEROPAGE"
sbuf:
    .res 254


    .define debug_shape 0

fillpat=$1c00

    .segment "FONT"
generatefont:

fourloop=*+1
    ldy#$11  ;only needs $0a iters, but we reuse this byte in the decant loop
    ;ldy#10
l1:
    lda fillsource-1,y
    lsr
    lsr
    ldx#12
lsl:
    and#6
up: sta fillpat+12+12*8     -12*7
dn: sta fillpat+12+12*9+11  +12*7
    eor fillsource-1,y
    dec dn+1
    inc up+1
    dex
    bne lsl
    dey
    bne l1

charlp:

    txa
:   dex
    sta $00,x  ;clear buffer
    bne :-     ; note that this trashes both $00 and $01
               ; An older version preserved $01,
               ; but that took an extra byte


    ldy#grid0_count-1
    dec grid_selector  ; have we reached the more complex letters yet?
    bpl :+
    ldy#grid1_count-1
:

bitlp:
    asl bitbuffer
    bne gotbits
cfp:lda charflags+1
    inc cfp+1
    bne :+
    rts
:
    rol
    sta bitbuffer
gotbits:
    bcc dontdothisstroke

    ldx plt0,y
blatl:
    lda#$83
    sta sbuf+3+ 3*12-plot_offset,x
    sta sbuf+4+ 3*12-plot_offset,x
    sta sbuf+3+ 5*12-plot_offset,x
    sta sbuf+4+ 5*12-plot_offset,x
dontdothisstroke:
    dey
    bpl bitlp

    ;round three of the corners
    lda sbuf+3+3*12+ 2+ 0*12
    sta sbuf+3+3*12+ 1+ 1*12
    lda sbuf+3+3*12+ 5+ 0*12
    sta sbuf+3+3*12+ 6+ 1*12
    lda sbuf+3+3*12+ 2+16*12
    sta sbuf+3+3*12+ 1+15*12

.if debug_shape
    ldx#0
.else
    ldx#26
pl:
    lda sbuf+12,x
    bpl :+
    sta sbuf+ 0,x
:
    lda sbuf+226+12+ 2,x
    ora sbuf+226+24+ 1,x
    and#1
    ora sbuf+226+24+ 2,x
    sta sbuf+226+12+ 1,x  ; shadow.  Needs to reach sbuf+19*12+10 = 225+13
    and#2
    ora sbuf+226+12+ 0,x
    ora sbuf+226+ 0+ 1,x
    and#3
    ora sbuf+226,x

    bpl skt
    lda fillpat+226-256,x
    lsr
skt:

    sta sbuf+226,x
    inx
    bne pl
.endif



    
decantl:   ;decant to sprite definition

    asl
    asl
.if debug_shape
    eor sbuf,x
    and#$fc
    eor sbuf,x
.else
    ora sbuf,x
.endif
    
    asl fourloop
    bcc skipstore
    inc fourloop

fp: sta fontbase
    inc fp+1
    bne skipstore
    inc fp+2
skipstore:
    inx
    bne decantl

    inc charcount  ; oops, not using this anymore. Three wasted bytes!
    jmp charlp


    .include "font.gen" 
